<template>
  <v-text-field
    autofocus
    ref="labelTextField"
    label="Label"
    v-model="model.label"
  ></v-text-field>
  <v-row>
    <v-col class="py-0" lg="6" md="6" sm="12" cols="12">
      <v-number-input
        label="Count"
        control-variant="split"
        :max="model.goal"
        v-model="model.actualCount"
      ></v-number-input>
    </v-col>
    <v-col class="py-0" lg="6" md="6" sm="12" cols="12">
      <v-number-input
        label="Goal"
        control-variant="split"
        :min="model.count"
        v-model="model.objectiveCount"
      ></v-number-input>
    </v-col>
  </v-row>
</template>

<script setup>
import { onMounted } from 'vue'

const model = defineModel()
const props = defineProps({
  virgin: Boolean
})
onMounted(() => {
  if (props.virgin) {
    model.value = {
      label: "",
      actualCount: 0,
      objectiveCount: 0
    }
  }
})
</script>